package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.FieldBean;

/**
 * 字段信息获取
 * 
 * @author admin
 *
 */
public interface FieldBeanDao {

	/**
	 * 根据pt获取字段信息
	 * 
	 * @param pt
	 * @return
	 */
	public FieldBean getFieldsByPt(String pt);

	/**
	 * 插入数据
	 * 
	 * @param fieldBean
	 */
	public void insert(FieldBean fieldBean);

	/**
	 * 修改数据
	 * 
	 * @param fieldBean
	 * @return
	 */
	public boolean update(FieldBean fieldBean);

	/**
	 * 删除数据
	 * 
	 * @param id
	 * @return
	 */
	public boolean delete(List<String> id);

	/**
	 * 根据pt查询数据量
	 * 
	 * @param pt
	 * @return
	 */
	public int findFieldCount(String pt);

	/**
	 * 分页查询数据
	 * 
	 * @param pageNo
	 * @param pageSize
	 * @param pt
	 * @return
	 */
	public List<FieldBean> findAllFields(int pageNo, int pageSize, String pt);

}
